;----------------------------------------------------------------
; This is a Sol Cycle for PANTHER ECDs
;----------------------------------------------------------------
Solenoid sampIN			100    0   0
Solenoid sampOUT		102    2   0
Solenoid PANsampIN		105    5   0
Solenoid PANsampOUT		  7  107   0
Solenoid PANflowC		119   19   0
Solenoid PANlamp		118   18   0
Solenoid PANgas			106    6   0
Solenoid PANflsh		101    1   0

dtoa GCstate 0x000 { 0:0 1:1 2:2 3:3 s:4 h:5 }


; Open and closed definitions
open = 'O'		;inject,	trap heat off
;closed = '_'	;load,		trap heat on 
; NOTE:  The previous line is commented out because the '_' is the default char 


resolution = 1/1

Routine Init {
       GCstate: 00
         gcSSV: 1_
	    panSSV: a_
        sampIN: __
       sampOUT: __
	   PANflsh: __
     PANsampIN: __ 
    PANsampOUT: __ 
	    PANgas: OO
	  PANflowC: OO
	   PANlamp: OO
        gsvSF6: L_
       mainSF6: ee
         bfSF6: ee
      bfprsSF6: ee
        gsvF11: _L
       mainF11: ee
         bfF11: ee
      bfprsF11: ee
         gsvCO: L_
        mainCO: ee
          bfCO: ee
       bfprsCO: ee
        gsvPAN: _L
	    pSLPAN: aa
      pcol1PAN: ee
      pcol2PAN: ee^
}


Routine chrom70s_A {

       GCstate: 12222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:
         gcSSV: __t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        panSSV: _____:_____:__t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        sampIN: _____:_____:_____:_____:_____:_____:_OOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:_____:
       sampOUT: _____:_____:_____:_____:_____:_OOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:     
     PANsampIN: _____:_____:_____:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
    PANsampOUT: _____:_____:___OO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
       PANflsh: _____:_____:_OOOO:OO___:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:

        gsvSF6: I____:_____:_____:____L:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainSF6: aaaaa:bbbbb:ccccc:ccccc:ccddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfSF6: aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
      bfprsSF6: aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:ccccc:ccccc:ccccc:

        gsvF11: I____:_____:_____:_____:_____:L____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainF11: aaaaa:bbbbb:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbccc:ccccc:ccccc:
      bfprsF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbcc:ccccc:

         gsvCO: I____:_____:_____:_____:_____:L____:_____:_____:_____:_____:_____:_____:_____:_____:
        mainCO: aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
          bfCO: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
       bfprsCO: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:

        gsvPAN: _I___:_____:L____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
      pcol1PAN: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:
      pcol2PAN: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:^

}

Routine chrom70s_B {


       GCstate: 12222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:
         gcSSV: __t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        panSSV: _____:_____:__t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        sampIN: _____:_____:_____:_____:_____:_____:_OOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:_____:
       sampOUT: _____:_____:_____:_____:_____:_OOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
     PANsampIN: _____:_____:_____:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
    PANsampOUT: _____:_____:___OO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
       PANflsh: _____:_____:_OOOO:OO___:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
 
        gsvSF6: I____:_____:_____:____L:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainSF6: aaaaa:bbbbb:ccccc:ccccc:ccddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfSF6: aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
      bfprsSF6: aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:ccccc:ccccc:ccccc:

        gsvF11: I____:_____:_____:_____:_____:L____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainF11: aaaaa:bbbbb:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbccc:ccccc:ccccc:
      bfprsF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbcc:ccccc:

         gsvCO: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        mainCO: bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
          bfCO:	bbbcc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:
       bfprsCO:	bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:ccccc:ccccc:

        gsvPAN: _I___:_____:L____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
      pcol1PAN: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:
      pcol2PAN: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:^

}


Routine chrom140s_A {

       GCstate: 12222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:
         gcSSV: __t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        panSSV: __t__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        sampIN: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       sampOUT: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
     PANsampIN: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
    PANsampOUT: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       PANflsh: _____:_____:_____:OOOOO:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:

        gsvSF6: I____:_____:_____:_____:_____:____L:_____:_____:_____:_____:_____:_____:_____:_____:
       mainSF6: aaaab:bbbbb:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfSF6: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
      bfprsSF6: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:ccccc:ccccc:ccccc:

        gsvF11: I____:_____:_____:_____:_____:_____:_____:____L:_____:_____:_____:_____:_____:_____:
       mainF11: aaaaa:bbbbb:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbccc:ccccc:ccccc:
      bfprsF11: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaab:bbbbb:bbbbb:bbbbb:bbccc:ccccc:ccccc:

         gsvCO: I____:_____:_____:_____:_____:__L__:_____:_____:_____:_____:_____:_____:_____:_____:
        mainCO: aaabb:bbccc:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
          bfCO: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aabbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:
       bfprsCO: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aabbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:bbbbb:

        gsvPAN: I____:__L__:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
      pcol1PAN: aaaab:bbbbb:ccccc:ccccc:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
      pcol2PAN: aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:^

}

Routine chrom140s_B {

       GCstate: 22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:22222:
         gcSSV: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        panSSV: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        sampIN: _____:_____:_____:_____:_____:_____:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:_____:
       sampOUT: _____:_____:_____:_____:_____:___OO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOO__:
     PANsampIN: _____:_____:_____:_____:_____:_____:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:
    PANsampOUT: _____:_____:_____:_____:_____:_____:_OOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:OOOOO:
       PANflsh: _____:_____:_____:OOOOO:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:

        gsvSF6: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainSF6: ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfSF6: bbbbb:bbbbb:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:
      bfprsSF6: ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:

        gsvF11: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
       mainF11: ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
         bfF11: ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:
      bfprsF11: ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:

         gsvCO: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
        mainCO: ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
          bfCO:	bbbcc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccddd:eeeee:
       bfprsCO:	bbbcc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccccc:ccddd:eeeee:

        gsvPAN: _____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:_____:
      pcol1PAN: ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:ddddd:
      pcol2PAN:	aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:aaaaa:^

}


; Safe Mode
mode 0 {
	Init      
	select 5
}

; Init mode
mode 1 {
	Init
	select 5
}

; RUN mode
mode 2 {
	chrom70s_A
	chrom70s_B
}

; Lab mode 70s chroms
mode 3 {
	chrom70s_A
	chrom70s_B
}

; Lab mode 140s chroms
mode 4 {   
	chrom140s_A
	chrom140s_B
}

; Do nothing
mode 5 {
	select 5
}

; Cal mode
mode 7 {
	chrom70s_A
	chrom70s_B
}

; Shutdown mode
mode 9 {
	Init
	select 5
}

